Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List a single unit by ID.

List a single unit by ID. Get an organizational unit of this process space.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/orgstructure/units/{unitId}
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

unitIdstringrequired

ID of the organizational unit

Responses
200

Organizational unit

breadcrumbsBreadcrumb[]required
Show properties
Array of Breadcrumb
idstringrequired
namestringrequired
deputystring[]required
descriptionLocalizedFormattedText[]required
Show properties
Array of LocalizedFormattedText
formatTextFormatrequired
Allowed:BBCodeHTMLPlainText
textLocalizedStringrequired
Show properties
translationsStringTranslation[]required
valuestring
explicitRoleIdsstring[]required
externalbooleanrequired
idstring
membersstring[]required
parentIdstring
responsiblestring[]required
titleLocalizedStringrequired
Show properties
translationsStringTranslation[]required
Show properties
Array of StringTranslation
languagestringrequired
valuestring
valuestring
typestringrequired
404

Organizational unit not found

string
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/orgstructure/units/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
{
  "breadcrumbs": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "deputy": [
    "string"
  ],
  "description": [
    {
      "format": "BBCode",
      "text": {
        "translations": [
          {
            "language": "string",
            "value": "string"
          }
        ],
        "value": "string"
      }
    }
  ],
  "explicitRoleIds": [
    "string"
  ],
  "external": true,
  "id": "string",
  "members": [
    "string"
  ],
  "parentId": "string",
  "responsible": [
    "string"
  ],
  "title": {
    "translations": [
      {
        "language": "string",
        "value": "string"
      }
    ],
    "value": "string"
  },
  "type": "string"
}